summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2016-07-26 07:21:36 +0200
committerHans de Graaff <graaff@gentoo.org>2016-07-26 07:21:36 +0200
commitf01e7fcb0d087ca81feefc14a9d7145403fe3b85 (patch)
tree6d1487e4a7dd7c72e6017cb5d104ca8b90773069 /dev-ruby/pry
parentdev-util/cucumber-wire: fix repoman warnings (diff)
downloadgentoo-f01e7fcb0d087ca81feefc14a9d7145403fe3b85.tar.gz
gentoo-f01e7fcb0d087ca81feefc14a9d7145403fe3b85.tar.bz2
gentoo-f01e7fcb0d087ca81feefc14a9d7145403fe3b85.zip
dev-ruby/pry: add 0.10.4
Package-Manager: portage-2.2.28
Diffstat (limited to 'dev-ruby/pry')
-rw-r--r--dev-ruby/pry/Manifest1
-rw-r--r--dev-ruby/pry/pry-0.10.4.ebuild49
2 files changed, 50 insertions, 0 deletions
diff --git a/dev-ruby/pry/Manifest b/dev-ruby/pry/Manifest
index f5862e2cbfa..4ccf1362665 100644
--- a/dev-ruby/pry/Manifest
+++ b/dev-ruby/pry/Manifest
@@ -1 +1,2 @@
DIST pry-0.10.3.tar.gz 204253 SHA256 55760dd7ead762deda51a2acb5340e41d15056eb590c8ea03e46482e59cdde87 SHA512 5efec76414e6acf6e1f26f39296087a29a72b65b3fc365ad4ebd610b25d109253f2d325fe91508c8bd6eca67bdfe812b74dba8cf687a0fc4e0a5f9f6f6a93c7e WHIRLPOOL 5c6e04e4d89237d0ce7f46e15757c3b4f702cd967a467c0b8ea732124c12a1ff5b4d4de493ca5b5f7512e19394c85c9b240133c3516c79f40b77a1d79754be58
+DIST pry-0.10.4.tar.gz 204296 SHA256 8c4afb4e2c3fea9ed8b9f17323b5a670db08f9995f2031fe52b3c0c4b41dcd67 SHA512 0c455945125b210efce7dcde3d7bfbec5d03687847910084c0befd466191ac34446c62a884c6424cd6760d573d1de490de4dacd97b31c87553e32787d99a3687 WHIRLPOOL b402150a090fa9370753e6c9e7cde718e05cfa78b25b4d713c3667aadd466f4238d0a2c86aec36c8619cd0344aaa84d000b729dc25a3dff2268238f01a429c8c
diff --git a/dev-ruby/pry/pry-0.10.4.ebuild b/dev-ruby/pry/pry-0.10.4.ebuild
new file mode 100644
index 00000000000..cc8482142c6
--- /dev/null
+++ b/dev-ruby/pry/pry-0.10.4.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+RUBY_FAKEGEM_EXTRADOC="README.md CHANGELOG.md"
+RUBY_FAKEGEM_GEMSPEC=${PN}.gemspec
+
+inherit ruby-fakegem
+
+DESCRIPTION="Pry is a powerful alternative to the standard IRB shell for Ruby"
+HOMEPAGE="https://github.com/pry/pry/wiki"
+SRC_URI="https://github.com/pry/pry/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+IUSE=""
+SLOT="ruby19"
+
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
+
+ruby_add_rdepend "
+ >=dev-ruby/coderay-1.1.0 =dev-ruby/coderay-1.1*
+ >=dev-ruby/slop-3.4.1:3
+ >=dev-ruby/method_source-0.8.1 =dev-ruby/method_source-0.8*"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/open4-1.3
+ >=dev-ruby/rake-0.9
+ >=dev-ruby/mocha-1.0
+ )"
+
+all_ruby_prepare() {
+ # Avoid unneeded dependency on git.
+ # Loosen coderay dependency.
+ sed -e '/git ls-files/d' \
+ -e '/coderay/s/~>/>=/' \
+ -e '/bundler/d' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+ sed -e '/[Bb]undler/d' -e "1irequire 'mocha/api'\ " -i spec/helper.rb || die
+ sed -e "1irequire 'ostruct'\ " -i spec/hooks_spec.rb || die
+ sed -e '/of Class after the singleton classes/,+4d' -i spec/method_spec.rb || die
+ # Out of date tests
+ rm spec/commands/gist_spec.rb || die
+}